"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = decodeBn;

var _util = require("@polkadot/util");

var _base = _interopRequireDefault(require("./base"));

var _key = _interopRequireDefault(require("../key"));

// Copyright 2017-2018 @polkadot/client-db authors & contributors
// This software may be modified and distributed under the terms
// of the ISC license. See the LICENSE file for details.
function decodeBn(db, key, bitLength) {
  const createKey = (0, _key.default)(key);
  const base = (0, _base.default)(db);
  return {
    del: (...keyParams) => base.del(createKey(keyParams)),
    get: (...keyParams) => (0, _util.u8aToBn)(base.get(createKey(keyParams)), true),
    set: (value, ...keyParams) => base.set(createKey(keyParams), value, (0, _util.bnToU8a)(value, bitLength, true)),
    onUpdate: updater => base.onUpdate(updater)
  };
}